{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.manalabs_scp.scp_plague.attack": {
			"states": {
				"default": {
					"transitions": [
						{
							"play_attack": "query.is_delayed_attacking"
						}
					],
					"blend_transition": 0.1
				},
				"play_attack": {
					"animations": ["play_attack"],
					"transitions": [
						{
							"default": "query.any_animation_finished"
						}
					],
					"blend_transition": 0.1
				}
			}
		},
		"controller.animation.manalabs_scp.scp_plague.cow.attack": {
			"states": {
				"default": {
					"transitions": [
						{
							"play_attack": "query.is_delayed_attacking"
						}
					],
					"blend_transition": 0.1
				},
				"play_attack": {
					"on_entry": ["v.random_hand = math.random(0, 99);"],
					"animations": [
						{
							"quad_headbutt_left": "v.random_hand < 35"
						},
						{
							"quad_headbutt_right": "v.random_hand >= 35 && v.random_hand < 70"
						},
						{
							"quad_headbutt_front": "v.random_hand >= 70"
						}
					],
					"transitions": [
						{
							"default": "query.any_animation_finished"
						}
					],
					"blend_transition": 0.1
				}
			}
		}
	}
}